Subject: Re: [PATCH] document string_list_clear

From: Jonathan Nieder <[email-masked]>
Date: Wed, 10 Dec 2014 13:51:54 -0800

Michael Haggerty wrote:

>                              I would find it a pity for that work to be
> squashed into Documentation/technical/api-*.txt, where in my opinion it
> is less discoverable and more likely to fall into disrepair.

I think we're in violent agreement and keep repeating ourselves.

All I said is that api-strbuf.txt is currently the most readable
documentation of the strbuf API I can find.  The patch to move the
text to strbuf.h looked rough and incomplete.  Therefore I don't think
it's ready to be applied as is.  If you'd like more details about why
I say that, feel free to ask.

Jonathan